/*
 Les 4 VO Arduino Lessenserie Fontys Hogeschool ICT
   THEORIE: FOR LOOP
   Drukknop los: groen aan,
   Drukknop ingeduwd: groene led uit en rode led fade met behulp van delay
   
 Benodigde onderdelen:
 1 groene LED 
 2 rode LEDs
 drukknop
 10 kilohm weerstand
 3 220 ohm weerstanden
 
*/

// Gebruik de variabele switchstate om de stand
// van de drukknop in op te slaan.
int switchstate = 0;
int brightness = 0;
int fadestep = 5;
int led = 5;

void setup(){
  // definieer de LED PIN's als OUTPUT 
  pinMode(3,OUTPUT); //groen
  pinMode(4,OUTPUT); //rood 1
  pinMode(5,OUTPUT); //rood 2

  // definieer de drukknop PIN als INPUT  
  pinMode(2,INPUT);
}

void loop(){
  // vraag de waarde van de drukknop
  // digitalRead() checkt of er spanning 
  // op de pin staat  
  switchstate = digitalRead(2);

  // als de drukknop niet wordt ingedrukt
  // zet LED groen AAN en LED's rood UIT 
  if (switchstate == LOW) {
    digitalWrite(3, HIGH); // zet de groene LED op pin 3 aan
    digitalWrite(4, LOW);  // zet de rode LED op pin 4 uit
    digitalWrite(led, HIGH);  // zet de rode LED op pin 5 aan
  }
  // deze 'else" is onderdeel van het if() statement. 
  // als de drukknop is niet LOW (dus de drukknop is ingedrukt)
  // zet de groene LED uit en laat de rode LEDs om en om knipperen
  else {
    digitalWrite(3, LOW);  // zet groene led uit
    analogWrite(led, brightness); // zet de helderheid van led op pin 5
    brightness = brightness + fadestep; // verander de helderheid voor de volgende loop
    if (brightness == 0 || brightness ==255) {
      fadestep = -fadestep; // keer de richting van de fade om aan het einde van de fade
    }
    delay(50); // wacht 50 ms om het dimeffect te kunnen zien
  }
}

